List fees

List fees for the business using indexed scope and time filters.

Required permissions: fee:list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Query parameters

source_typeenum or nullOptional
Type of object that originated the fee.
statusenum or nullOptional

Fee status; requires source_type.

account_idstring or nullOptional
Only return fees charged to this account.
business_entity_idstring or nullOptional
Only return fees for this business entity.
program_idstring or nullOptional
Only return fees under this program.
source_idstring or nullOptional

Only return fees raised by this object; requires source_type.

page_sizeintegerOptional1-3000Defaults to 100
Maximum number of results to return per page. Defaults to 100.
next_page_tokenstring or nullOptional
Pagination key used to retrieve the next page of results.
stage_time_greater_than_equal_tostring or nullOptional
Lower time bound for Stage Time, inclusive.
stage_time_greater_thanstring or nullOptional
Lower time bound for Stage Time, exclusive.
stage_time_equal_tostring or nullOptional
Exact timestamp for Stage Time.
stage_time_less_than_equal_tostring or nullOptional
Upper time bound for Stage Time, inclusive.
stage_time_less_thanstring or nullOptional
Upper time bound for Stage Time, exclusive.

Response

A list of fees.
itemslist of objects
The list of items returned by the API.
countinteger
The total number of items returned in this response.
next_page_tokenstring or nullOptional
A token for retrieving the next page of results, if applicable.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error